Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02060 Graphics Minor Always Jul 31, 2008, 18:52 12 days ago
Tester Kold666 View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS
Status [?] Resolved Driver aerofgt.cpp
Version 0.126u3 Fixed in Version 0.212GIT Build
Summary 02060: spinlbrk, spinlbrku, spinlbrkj: Priorities wrong
Description Wrong sprites priorities with background objects
Steps To Reproduce
Additional Information
Flags
Regression Version 0.204
Affected Sets / Systems spinlbrk, spinlbrku, spinlbrkj
Attached Files
png file icon 0000.png (23,084 bytes) Jul 31, 2008, 18:55
png file icon 0001.png (27,455 bytes) Jul 6, 2015, 21:13 Uploaded by izius
izius
zip file icon spinlbrk.zip (22,439 bytes) Jul 7, 2015, 05:33 Uploaded by izius
Save states taken in level 2 and 6
png file icon spinlbrk0003.png (11,412 bytes) 16 days ago Uploaded by haynor666
haynor666
png file icon 0002.png (18,955 bytes) 15 days ago Uploaded by izius
izius
Relationships
related to 05981ResolvedMamesick turbofrc: Sprite priority bugs in some stages 
Notes
5
User avatar
No.11659
izius
Tester
May 7, 2015, 20:46
edited on: Jul 7, 2015, 05:31
This bug should be reopened, as it happens again in 0.163. Also, it can happen in other stages if an enemy comes in the foreground - tipically with a close range attack - and there are other sprites in the background.
I'm uploading a screenshot of level 6, where the ninjas can jump forward and frequently cause the problem.
Later edit: uploaded also save states.
Regression in 0.147u3.
User avatar
No.16599
haynor666
Tester
16 days ago
edited on: 16 days ago
It happens still in version 210. Priorities are wrong even in story presentation.
User avatar
No.16601
izius
Tester
15 days ago
That's a new issue. The one I noted in 2015 was actually fixed in 0.164, along with 05981.

Just did a bit of testing, this one began in 0.204 and behaves differently from the past; for example, level 1 enemy soldiers now pass behind trees and electric poles, which are in the far background.
User avatar
No.16602
Mamesick
Senior Tester
14 days ago
edited on: 14 days ago
Regression is this commit:
https://github.com/mamedev/mame/commit/ebbd25c8665321f51ba35d573dbc3fc49dbf867f#diff-60a60522aafdd7b4f6da480e005c24d4

and precisely the fix is at line 1837 of mame/drivers/aerofgt.cpp
m_spr_old[0]->set_pritype(1);

should be
m_spr_old[1]->set_pritype(1);
User avatar
No.16610
Osso
Developer
14 days ago
edited on: 14 days ago
Thanks for spotting my dumb error!

Updated: https://github.com/mamedev/mame/commit/562de4d2f3ffca939fc5a537384d193c0b39c868